Subject: RE: Configuration script OK, now compilation problem...
From: [email-masked] (Sergey Okhapkin)

2 Dec 1996 09:29:53 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]" <[email-masked]>,
        "'Harold Roussel'"
	 <[email-masked]>
Encoding: 24 TEXT
Original-Sender: [email-masked]

Harold Roussel wrote:

>point in the build process I get the following message, indicating a 
>redefinition of the utimbuf structure.
>
>gcc -c -I..  -I./../vfs -I./../slang -I.. -DBINDIR=\""//j/bin/"\"
>-DLIBDIR=\""// j/lib/mc/"\" -DICONDIR=\""//j/lib/mc/icons/"\" 
>-DREGEX_MALLOC -DHAVE_CONFIG_H - g -O file.c In file included from
>./vfs/vfs.h:11,
>                 from file.c:99:
>h:/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-960712/../..
>/../../i386-cygwin32/include/utime.h:7: redefinition of `struct
>utimbuf' 

Utime.h is buggy. Add lines
#ifndef _UTIME_H
#define _UTIME_H
to the beginning of this file, and
#endif
to the end.

Sergey Okhapkin
Moscow, Russia

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".